Create Contact
curl --request POST \
--url https://api.dugble.com/contacts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"email": "ada@example.com",
"phone": "+233201234567",
"first_name": "Ada",
"last_name": "Lovelace",
"sms_consent_status": "opted_in",
"sms_consent_source": "api"
}
'import requests
url = "https://api.dugble.com/contacts"
payload = {
"email": "ada@example.com",
"phone": "+233201234567",
"first_name": "Ada",
"last_name": "Lovelace",
"sms_consent_status": "opted_in",
"sms_consent_source": "api"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
email: 'ada@example.com',
phone: '+233201234567',
first_name: 'Ada',
last_name: 'Lovelace',
sms_consent_status: 'opted_in',
sms_consent_source: 'api'
})
};
fetch('https://api.dugble.com/contacts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"team_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"email": "jsmith@example.com",
"phone": "<string>",
"normalized_phone": "<string>",
"phone_country": "<string>",
"sms_consent_status": "unknown",
"sms_consent_updated_at": "2023-11-07T05:31:56Z",
"sms_consent_source": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"unsubscribed": true,
"properties": {},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}{
"success": false,
"error": {
"code": "BAD_REQUEST",
"message": "<string>"
}
}Contacts
Create Contact
Creates a contact with email, phone, consent, and custom property data.
POST
/
contacts
Create Contact
Authorizations
Pass a Dugble team token in the Authorization header as Bearer . Team token secrets use the dgb_team_ prefix.
Headers
Optional idempotency key for mutation requests. Maximum 256 characters.
Maximum string length:
256Body
application/json
Valid international phone number.
Available options:
unknown, opted_in, opted_out Required when an explicit SMS consent status is supplied.
Available options:
api, import, manual